"""Add product import workflows.

Revision ID: c12ec1d9bd92
Revises: ab8d805d27b3
Create Date: 2024-04-23 12:57:51.227269

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'c12ec1d9bd92'
down_revision = 'ab8d805d27b3'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "import_site",
        "target": "MODIFY",
        "description": "Import Site",
        "product_type": "ImportedSite"
    },
    {
        "name": "import_office_router",
        "target": "MODIFY",
        "description": "Import OfficeRouter",
        "product_type": "ImportedOfficeRouter"
    },
    {
        "name": "import_super_pop_switch",
        "target": "MODIFY",
        "description": "Import SuperPopSwitch",
        "product_type": "ImportedSuperPopSwitch"
    },
    {
        "name": "import_router",
        "target": "MODIFY",
        "description": "Import Router",
        "product_type": "ImportedRouter"
    },
    {
        "name": "import_iptrunk",
        "target": "MODIFY",
        "description": "Import Iptrunk",
        "product_type": "ImportedIptrunk"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
